Subject: Re: bug#3892: corrupting load-in-progress value with "let"

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 Jul 2009 21:14:48 -0400

>>> I think we should drop the counter altogether, and use specbind instead.
>> Much simpler, yes, and it looks like nothing in the C code cares about the
>> numeric value either.
>> Thanks for the suggestion; I'll revise my patch.

> I'm working on the revised patch, but it occurs to me that this way, some
> broken bit of code could set load-in-progress to t at some point  when
> nothing is being loaded, and it will never become nil again  unless
> explicitly reset.

Isn't that a problem that already exists?
In any case such setting would be a bug, so I wouldn't worry about it.

> A related issue: If we're changing the way it's set, should we retain the
> constraint that load-in-progress can only (appear to) hold boolean  values,
> or let it hold any Lisp value instead?

A boolean seems sufficient, I see no need to change it for now,

        Stefan